import actor

class FX:
    def __init__(self, name, x, y, vx=0.0, vy=0.0):
        self.actor = actor.Actor()
        self.actor.setPos(x,y)
        self.actor.setVelocityX(vx)
        self.actor.setVelocityY(vy)
        self.frameList = None
        if name == "Explosion1":
            self.actor.loadSprite('explode1_1.png','e1')
            self.actor.loadSprite('explode1_2.png','e2')
            self.actor.loadSprite('explode1_3.png','e3')
            self.actor.setSprite('e1')
            self.currentFrame = 0
            self.frameList = ['e1','e2','e3']
            self.frameMax = 10
            self.lifeSpan = 30
        elif name == "Smoke":
            self.actor.loadSprite('smoke.png','smoke')
            self.actor.setSprite('smoke')
            self.lifeSpan = 20
        self.frameCnt = 0

    def update(self, selfList):
        if self.lifeSpan <= 0:
            selfList.remove(self)
        else:
            self.lifeSpan -= 1
        if self.frameList != None:
            if self.frameCnt < self.frameMax:
                self.frameCnt+=1
            else:
                self.frameCnt = 0
                self.currentFrame+=1
                self.actor.setSprite(self.frameList[self.currentFrame])

    def draw(self, screen, camX, camY):
        self.actor.draw(screen,camX,camY,False,False)
