import pygame
from menu import *
from play import *

class Game:
    def __init__(self):
        pygame.init()
        pygame.display.set_caption('RoboFusion - Cthulhu32 \'08')
        pygame.mouse.set_visible(0)
        self.screen = pygame.display.set_mode((640,480))
        self.clock = pygame.time.Clock()
        self.gems = []
        self.menu = Menu(self.screen,self.clock,self.gems) # at menu
        self.play = 0 # at playing
        self.state = "Menu"
        self.level = ""
        self.quit = False
    
    def run(self):
        while not self.quit:
            if self.state == "Menu": 
                rvalue = self.menu.update()
                if rvalue == "Idle":
                    continue
                elif rvalue == "Quit":
                    self.quit = True
                else:
                    self.state = "InGame"
                    self.play = Play(self.screen,self.clock,rvalue,self.gems)
            elif self.state == "InGame":
                rvalue = self.play.update()
                if rvalue == "Menu":
                    self.state = "Menu"
                elif rvalue == "LevelSelect":
                    self.state = "Menu"
                    self.menu = Menu(self.screen,self.clock,self.gems)
                    self.menu.state = "LevelSelect"
                elif rvalue == "Quit":
                    # Debug!
                    #self.state = "Quit"
                    self.state = "Menu"
                    self.menu = Menu(self.screen,self.clock,self.gems)
